# AssignSecurityGroupVpc

## 1. 接口描述

本接口(AssignSecurityGroupVpc)用于VPC更换绑定安全组。

{% hint style="info" %}
**注意事项**

* 一个VPC只能关联一个安全组。本接口将会将VPC对应的安全组换绑到指定安全组。
* VPC换绑安全组，不会影响VPC下网卡已经绑定的安全组。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型     | 描述           |
| --------------- | -- | ------ | ------------ |
| vpcId           | 是  | String | 要操作的VPC ID。  |
| securityGroupId | 是  | String | 要更换的目标安全组ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. VPC换绑安全组。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AssignSecurityGroupVpc
<Common Request Params>

Request：
{
  "vpcId": "your-vpc-id",
  "securityGroupId": "your-security-group-id"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                  | 说明      |
| ------- | ------------------------------------ | ------- |
| 404     | INVALID\_SECURITY\_GROUP\_NOT\_FOUND | 安全组不存在。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/security-group/assignsecuritygroupvpc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
